Bug 26204 - Remove the use of jquery.checkboxes plugin from staff interface lists
Summary: Remove the use of jquery.checkboxes plugin from staff interface lists
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-13 13:51 UTC by Owen Leonard
Modified: 2020-09-10 03:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26204: Remove the use of jquery.checkboxes plugin from staff interface lists (2.16 KB, patch)
2020-08-13 14:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26204: Remove the use of jquery.checkboxes plugin from staff interface lists (2.22 KB, patch)
2020-08-17 15:44 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26204: Remove the use of jquery.checkboxes plugin from staff interface lists (2.28 KB, patch)
2020-08-17 22:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-13 13:51:40 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the staff interface lists page.
Comment 1 Owen Leonard 2020-08-13 14:01:29 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2020-08-17 15:44:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-08-17 22:06:32 UTC
Created attachment 108424 [details] [review]
Bug 26204: Remove the use of jquery.checkboxes plugin from staff interface lists

This patch removes the use of the jquery.checkboxes plugin from the
staff interface lists page.

To test, apply the patch, go to Lists, and view the contents of a
list with multiple titles on it.

Check that the "Select all" and "Clear all" links work correctly.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:48:05 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:16:30 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:41:51 UTC
enhancement, not backported to 19.11.x